SchemaObjectBuilder
Keywords: uk.ac.ic.doc.automed.p2p.tree.SchemaObjectBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class SchemaObjectBuilder

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
          uk.ac.ic.doc.automed.p2p.tree.SchemaObjectBuilder

    public class SchemaObjectBuilder

extends ObjectBuilder

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`modelMap, schemaMap, tree`

Constructor Summary
`SchemaObjectBuilder(Root root)` Creates a new instance of SchemaObjectBuilder

Method Summary
`java.util.List` | `createAutoMedObjectsFromTree(Schema newSchema)` An overloading method for creating `Schema` object
`protected void` | `createSchema(AutoMedObject objectNode, Schema newSchema)` An overloading method to create a new `Schema` object.
`protected void` | `initSchema(AutoMedObject schemaNode, Schema newSchema)` An overloading method to create a new `Schema` object

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`addObjectsToSchema, createAccessMethod, createAutoMedObjectsFromTree, createModel, createPathway, createSchema, createSchema, getModelMap, getSchemaMap, initSchema, retractModel, retractSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectBuilder

    public SchemaObjectBuilder(Root root)

  Creates a new instance of SchemaObjectBuilder

Method Detail

### createAutoMedObjectsFromTree

    public java.util.List createAutoMedObjectsFromTree(Schema newSchema)
                                                throws AutoMedTreeException

  An overloading method for creating `Schema` object

  Parameters:
    `newSchema` - if a template `Schema` object has already been created;
    null to create a new schema
  Throws:
    `AutoMedTreeException`

### createSchema

    protected void createSchema(AutoMedObject objectNode,
                                Schema newSchema)
                         throws AutoMedTreeException

  An overloading method to create a new `Schema` object. This method
  differs from the super-class method in that it assumes the actual `Schema` object already exists and its job is only to create the schema's objects

  Parameters:
    `newSchema` - the `Schema` object
  Throws:
    `AutoMedTreeException`

### initSchema

    protected void initSchema(AutoMedObject schemaNode,
                              Schema newSchema)

  An overloading method to create a new `Schema` object

  Parameters:
    `newSchema` - the `Schema` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD